TEMPLATE		= 	lib
CONFIG			+= 	qt plugin static
QT 				+=  network xml qt3support

UI_DIR			= 	tmp/ui
MOC_DIR			= 	tmp/moc
OBJECTS_DIR		= 	tmp/obj
DESTDIR			=	release

FORMS			=	src/UIGameSetup.ui \
					src/UIIssueMsg.ui \
					src/UIAdminCommand.ui \
					src/UICallAdmin.ui \
					src/UIDropMsg.ui \
					src/UIUseCard.ui
					
HEADERS			=	src/DJGameController.h \
					src/DJGameItem.h \
					src/DJHallInterface.h \
					src/DJClientRequest.h \
					src/DJGameUser.h \
					src/DJGameUserItem.h \
					src/DJGameUserContext.h \
					src/DJGameRoom.h \
					src/DJGamePanel.h \
					src/DJGroupChat.h \
					src/DJSymbol.h \
					src/Utility.h \
					src/GameUtility.h \
					src/PlayWave.h \
					src/LaunchUrl.h \
					src/DJTreeItemDelegate.h \
					src/DJGameTab.h \
					src/DJMessageBox.h \
					src/DJTreeWidget.h \
					src/DJMenuButton.h \
					src/DJGameSetup.h \
					src/DJCanvasView.h \
					src/DJCanvasItem.h \
					src/DJTextBrowser.h \
					src/DJAnimatedImage.h \
					src/DJRemoteToLocalFile.h \
					src/DJHttpAnimatedImage.h \
					src/UIGameSetup.h \
					src/UIIssueMsg.h \
					src/UIAdminCommand.h \
					src/DJGameDesktop.h \
					src/DJGameImage.h \
					src/DJGameTraceManager.h \
					src/DJAutoDisappearText.h \
					src/DJGamePokerDesktop.h \
					src/DJPoker.h \
					src/DJOnceSprite.h \
					src/DJGamePlayerItem.h \
					src/DJGameMJDesktop.h \
					src/mjrule.h \
					src/DJShowView.h \
					src/DJMatrixCanvasImage.h \
					src/DJMatrixCanvasSprite.h \
					src/DJMatrixCanvasText.h \
					src/DJMatrixCanvasTimer.h \
					src/DJPosColor.h \
					src/DJAdminBrowser.h \
					src/UICallAdmin.h \
					src/DJCard.h \
					src/DJWidget.h \
					src/UIDropMsg.h \
					src/DJAdminGroupChat.h \
					src/DJCardsWidget.h \
					src/DJCardButton.h \
					src/UIUseCard.h \
					src/DJPokerPattern.h \
					src/DJToolButton.h
					
					
SOURCES			= 	src/main.cpp \
					src/DJGameController.cpp \
					src/DJGameItem.cpp \
					src/DJHallInterface.cpp \
					src/DJClientRequest.cpp \
					src/DJGameUser.cpp \
					src/DJGameUserItem.cpp \
					src/DJGameUserContext.cpp \
					src/DJGameRoom.cpp \
					src/DJGamePanel.cpp \
					src/DJGroupChat.cpp \
					src/DJSymbol.cpp \
					src/Utility.cpp \
					src/GameUtility.cpp \
					src/PlayWave.cpp \
					src/LaunchUrl.cpp \
					src/DJTreeItemDelegate.cpp \
					src/DJGameTab.cpp \
					src/DJMessageBox.cpp \
					src/DJTreeWidget.cpp \
					src/DJMenuButton.cpp \
					src/DJGameSetup.cpp \
					src/DJCanvasView.cpp \
					src/DJCanvasItem.cpp \
					src/DJTextBrowser.cpp \
					src/DJAnimatedImage.cpp \
					src/DJRemoteToLocalFile.cpp \
					src/DJHttpAnimatedImage.cpp \
					src/UIGameSetup.cpp \
					src/UIIssueMsg.cpp \
					src/UIAdminCommand.cpp \
					src/DJGameDesktop.cc \
					src/DJGameImage.cc \
					src/DJGameTraceManager.cc \
					src/DJAutoDisappearText.cpp \
					src/DJGamePokerDesktop.cc \
					src/DJPoker.cpp \
					src/DJOnceSprite.cpp \
					src/DJGamePlayerItem.cpp \
					src/DJGameMJDesktop.cc \
					src/mjrule.cpp \
					src/DJShowView.cpp \
					src/DJMatrixCanvasImage.cpp \
					src/DJMatrixCanvasSprite.cpp \
					src/DJMatrixCanvasText.cpp \
					src/DJMatrixCanvasTimer.cpp \
					src/DJPosColor.cpp \
					src/DJAdminBrowser.cpp \
					src/UICallAdmin.cpp \
					src/DJCard.cpp \
					src/DJWidget.cpp \
					src/UIDropMsg.cpp \
					src/DJAdminGroupChat.cpp \
					src/DJCardsWidget.cpp \
					src/DJCardButton.cpp \
					src/UIUseCard.cpp \
					src/DJPokerPattern.cpp \
					src/DJToolButton.cpp


mac{
CONFIG			+= 	ppc x86
}